compiz crashed with SIGSEGV in sigc::signal_base::impl()

Bug #762801 reported by Mio on 2011-04-16
24
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
Medium
Mirco Müller
unity (Ubuntu)
Medium
Unassigned
Natty
Undecided
Unassigned

Bug Description

Test Case:

1.) Make sure unity 3.8.14 is installed, if not install it
2.) Anyone who used to get this crash, verify it's no longer happening with unity 3.8.14

Binary package hint: unity

Happened after login

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: unity 3.8.8-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Fri Apr 15 10:44:45 2011
ExecutablePath: /usr/bin/compiz
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110413)
ProcCmdline: compiz
ProcEnviron:
 LANGUAGE=de_DE:en
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
SegvAnalysis:
 Segfault happened at: 0x7f2f56b242f6 <_ZNK4sigc11signal_base4implEv+22>: mov 0x8(%rdi),%rbx
 PC (0x7f2f56b242f6) ok
 source "0x8(%rdi)" (0x000000e8) not located in a known VMA region (needed readable region)!
 destination "%rbx" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: unity
StacktraceTop:
 sigc::signal_base::impl() const () from /usr/lib/libsigc-2.0.so.0
 sigc::signal_base::connect(sigc::slot_base const&) () from /usr/lib/libsigc-2.0.so.0
 nux::Tooltip::Tooltip() () from /usr/lib/compiz/libunityshell.so
 ?? ()
 ?? ()
Title: compiz crashed with SIGSEGV in sigc::signal_base::impl()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Related branches

Mio (m10) wrote :
Mio (m10) on 2011-04-16
visibility: private → public

StacktraceTop:
 sigc::signal_base::impl (this=0xe0) at ../../sigc++/signal_base.cc:145
 sigc::signal_base::connect (this=<value optimized out>, slot_=...) at ../../sigc++/signal_base.cc:122
 ~_List_base (this=0x23e3390) at /usr/include/c++/4.5/bits/stl_list.h:360
 ~list (this=0x23e3390) at /usr/include/c++/4.5/bits/stl_list.h:418
 ~Introspectable (this=0x23e3390) at /build/buildd/unity-3.8.8/src/Introspectable.h:27

Changed in unity (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
Didier Roche (didrocks) on 2011-04-18
Changed in unity:
status: New → Triaged
importance: Undecided → Medium
milestone: none → 3.8.10
importance: Medium → High
Changed in unity (Ubuntu):
importance: Medium → High
status: New → Triaged
Mirco Müller (macslow) on 2011-04-18
Changed in unity:
assignee: nobody → Mirco Müller (macslow)
Mirco Müller (macslow) on 2011-04-19
Changed in unity:
status: Triaged → In Progress
Mirco Müller (macslow) wrote :

From the stacktrace I would say this is a bug in nux and not in unity.

Mirco Müller (macslow) wrote :

Never mind my above comment

Didier Roche (didrocks) on 2011-04-19
Changed in unity (Ubuntu):
status: Triaged → In Progress
Mirco Müller (macslow) on 2011-04-19
Changed in unity:
status: In Progress → Triaged
Changed in unity (Ubuntu):
status: In Progress → Triaged
Didier Roche (didrocks) on 2011-04-19
Changed in unity:
milestone: 3.8.10 → 3.8.12
David Barth (dbarth) wrote :

Worth keeping on the radar. Mirco, could you investigate first, which conditions could help reproduce the problem. Then, look into the recent fixes that were made in nux/unity to correct object lifecycle and signal management problems.

Changed in unity:
importance: High → Medium
Changed in unity (Ubuntu):
importance: High → Medium
Changed in unity:
milestone: 3.8.12 → 3.8.14
Neil J. Patel (njpatel) on 2011-05-25
Changed in unity:
milestone: 3.8.14 → alpha3
Mirco Müller (macslow) on 2011-05-26
Changed in unity:
status: Triaged → In Progress
Mirco Müller (macslow) on 2011-05-26
Changed in unity:
status: In Progress → Fix Committed
Mirco Müller (macslow) on 2011-05-26
description: updated
Didier Roche (didrocks) on 2011-05-26
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.8.14-0ubuntu1

---------------
unity (3.8.14-0ubuntu1) oneiric; urgency=low

  * New upstream bug-fix release.
    - In a dual monitor setup with different resolutions, Unity places windows
      in the "dead zone" (LP: #752098)
    - Left pixel of launcher is not clickable on session start (LP: #758026)
    - unity crashed with AttributeError in reset_unity_compiz_profile(): 'str'
      object has no attribute 'get_string' (LP: #737320)
    - unity --reset crashes with NameError (LP: #774280)
    - Bottom icon on launcher tilts when it maybe shouldn't if icons fill
      launcher nearly exactly (LP: #728949)
    - Dodge active window - launcher should not show when modal dialog is
      opened (LP: #718185)
    - Unity maximizes windows that don't support resize on launch (LP: #769781)
    - compiz crashed with SIGSEGV in sigc::signal_base::impl() (LP: #762801)
    - inactive menus becomes brighter on sub-sequent clicks (LP: #733740)
    - Unity crashes when dynamic quicklist dbusmenu contains a hidden menuitem.
      (LP: #759174)
    - Opening quicklist with launcher keynav returns focus to previous window
      (LP: #750781)
    - window's title does not fade in the right position (LP: #722178)
  * debian/control:
    - depends on compiz for some people upgrading (LP: #773253)
  * debian/patches/01_add_scp_to_systray.patch:
    - remove, upstream now
 -- Didier Roche <email address hidden> Thu, 26 May 2011 17:41:14 +0200

Changed in unity (Ubuntu):
status: Triaged → Fix Released

Accepted unity into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in unity (Ubuntu Natty):
status: New → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.8.14-0ubuntu1~natty1

---------------
unity (3.8.14-0ubuntu1~natty1) natty-proposed; urgency=low

  * New upstream bug-fix release.
    - In a dual monitor setup with different resolutions, Unity places windows
      in the "dead zone" (LP: #752098)
    - Left pixel of launcher is not clickable on session start (LP: #758026)
    - unity crashed with AttributeError in reset_unity_compiz_profile(): 'str'
      object has no attribute 'get_string' (LP: #737320)
    - unity --reset crashes with NameError (LP: #774280)
    - Bottom icon on launcher tilts when it maybe shouldn't if icons fill
      launcher nearly exactly (LP: #728949)
    - Dodge active window - launcher should not show when modal dialog is
      opened (LP: #718185)
    - Unity maximizes windows that don't support resize on launch (LP: #769781)
    - compiz crashed with SIGSEGV in sigc::signal_base::impl() (LP: #762801)
    - inactive menus becomes brighter on sub-sequent clicks (LP: #733740)
    - Unity crashes when dynamic quicklist dbusmenu contains a hidden menuitem.
      (LP: #759174)
    - Opening quicklist with launcher keynav returns focus to previous window
      (LP: #750781)
    - window's title does not fade in the right position (LP: #722178)
  * debian/control:
    - depends on compiz for some people upgrading (LP: #773253)
  * debian/patches/01_add_scp_to_systray.patch:
    - remove, upstream now
 -- Didier Roche <email address hidden> Thu, 26 May 2011 17:41:14 +0200

Changed in unity (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers